var domainsData = [
          { "DomainID": 1, "Domain": "Http://www.google.com/", "Allowed": true },
          { "DomainID": 2, "Domain": "Http://www.yahoo.com/", "Allowed": false },
          { "DomainID": 3, "Domain": "Http://www.whois.com/", "Allowed": true },
          { "DomainID": 4, "Domain": "Http://www.youtube.com/", "Allowed": true },
          { "DomainID": 5, "Domain": "Http://www.ign.com/", "Allowed": false },
          { "DomainID": 6, "Domain": "Http://www.microsoft.com/", "Allowed": false },
          { "DomainID": 7, "Domain": "Http://www.bing.com/", "Allowed": false },
    ];
    
$(document).ready(function ()
{
    InitGrid(domainsData);
});

function InitGrid(data)
{
    try {
        $("#domainsGrid").igGrid({
            primaryKey: "DomainID",
            columns: [
                { headerText: "pk", key: "DomainID", dataType: "number", width: 0, hidden: true },
                { headerText: "Domain", key: "Domain", dataType: "string", width: 680 },
                { headerText: "Allowed", key: "Allowed", dataType: "bool", width: 100 },
            ],
            dataSource: data,
            autoGenerateColumns: false,
            renderCheckboxes: true,
            features: [
            {
                name: "Updating",
                enableAddRow: true,
                editMode: "row",
                enableDeleteRow: true,
                columnSettings: [
                    { columnKey: "DomainID", editorOptions: { type: "numeric", disabled: true} },
                ]
            }]
        });
    }
    catch (e) {
        alert(e);
    }

}

